<?php
/*
Simple:Press Forum
Admin Panels - Component Management
$LastChangedDate: 2009-09-21 20:10:41 -0700 (Mon, 21 Sep 2009) $
$Rev: 2639 $
*/

if (preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF']))
{
	die('Access Denied');
}

# Check Whether User Can Manage Components
if (!sfc_current_user_can('SPF Manage Components'))
{
	echo (__('Access Denied', "sforum"));
	die();
}

global $SFSTATUS;

include_once (SF_PLUGIN_DIR.'/admin/panel-components/sfa-components-display.php');
include_once (SF_PLUGIN_DIR.'/admin/panel-components/support/sfa-components-prepare.php');
include_once (SF_PLUGIN_DIR.'/admin/library/sfa-tab-support.php');

# Check if plugin update is required
if($SFSTATUS != 'ok')
{
	include_once (SFINSTALL);
	die();
}

global $adminhelpfile;
$adminhelpfile = 'admin-components';
# --------------------------------------------------------------------

if(isset($_GET['tab']) ? $tab=$_GET['tab'] : $tab='editor');
sfa_header();
sfa_render_components_panel($tab);
sfa_footer();

?>